![](/images/tzo/201212_bc42escher.jpg)

<center>(19)</center>

The theoretical construction of the multiverse in Hugh Everett's dissertation was built on the basis of the Schrödinger wave equation. In other words, his concept did not address the effects of the theory of relativity, which significantly affect the behavior of quantum particles and are accounted for in the fundamental relativistic Dirac equation. It is clear that to develop Everett's ideas to a complete picture, the results of P.A.M. Dirac must also be considered.

One notable feature of the Dirac equation is that it can be written in a unique form, sometimes referred to as the zigzag representation of a spinor [o19]. In this description, every electron (or another massive fermion with spin 1/2) appears as a particle moving along a zigzag trajectory and is in a state of continuous oscillations between the left-handed "zig" phase and the right-handed "zag" phase. Each of these alternating states, by itself, is massless, and mass arises only when the entire scenario is considered collectively.

![](/images/tzo/201110_5dzigzag.jpg "Zigzag representation of an electron (from R. Penrose's book \"The Road to Reality\")")

In this description, there is an coupling constant, which in Dirac's theory controls the speed of shifts between the "zig" and "zag" parts of the Dirac spinor. In the later Higgs theory, which appeared in the 1960s, this constant turns into a special — Higgs — field, which enters into equations as another interaction that gives fermions mass…

Describing this field slightly differently, the zigzag oscillations of particles occur in some all-pervasive substance akin to a superfluid that uniformly fills the entire space of the universe. If one thinks deeply about the essence of this concept, it turns out that the currently accepted Higgs mechanism implicitly reincorporated into the description of nature a special fluid previously known to physicists as the ether. [i13]

<center>(20)</center>

Dominating physics of the XIX century, the idea of the ether was necessary for scientists to explain light and other electromagnetic interactions. In the XX century, after rejecting the ether, physicists discovered two other completely different fundamental interactions, strong and weak nuclear ones. However, the general mathematical structure of these mechanisms undoubtedly guides theorists towards the search for a unified construction capable of combining all three (ideally all four, along with gravity) interactions. But at the same time, a model of particle oscillations in a very specific medium — called the "field with nonzero vacuum energy" and possessing properties of a superfluid — clearly emerged.

Emphasizing the clear parallel between the Higgs field and the ether is useful for several reasons. First of all, to remember the long-forgotten studies of the Norwegian scientist **Carl Bjerknes**. At the end of the XIX century, he mathematically rigourously built, based on the equations of hydrodynamics and the concept of ether as an all-pervasive medium, a "**theory of pulsating spheres**," explaining practically all known effects of electromagnetism at the time. Moreover, Bjerknes's model was vividly confirmed by his ingenious experiments with liquids and oscillating systems immersed in them. [i14][i15]

One of the most spectacular results of the theory, in particular, looked like this. Spheres periodically changing their size during pulsations in one phase create waves leading to their mutual repulsion, and during oscillations in antiphase — to attraction. Moreover, the strength of this interaction is inversely proportional to the square of the distance between "charges" — as in Coulomb's law.

It is also necessary to note that Bjerknes's pulsating spheres were the direct mechanical embodiment of the abstract idea of Maxwell about "displacement current." That is, the idea upon which he built his fundamental equations of electromagnetism, successfully carried over into the physics of the XX century. With the only difference that in new physics, the old-fashioned "displacement current" accompanying oscillations of particles in the ether came to be called the "relativistic correction." In other words, Maxwell, himself not knowing, predicted in his equations the effects of the theory of relativity many decades before its birth…[i16]

<center>(21)</center>

Another important reason for a unified view of classical and quantum physics is the quite recent discovery made in the mid-1990s of **oscillons** or oscillating solitons. This remarkable phenomenon was discovered by experimental physicists working with granular materials under periodic vibration. [i17]

The still poorly studied physics of granular media [i18] — sand, powders, suspensions, colloids — is particularly interesting because these materials, in a state of vibration, can demonstrate mutually exclusive properties of solid bodies-crystals, flowing liquids, and all-penetrating gases. A similar puzzling set of properties, it can be reminded, had to be assumed for the ether in the old days. Interestingly, the most mathematically advanced, the latest model of the ether was the concept of a granular medium called "Kelvin's vortex sponge." [i19]

Speaking more specifically about oscillons, the main feature of this variety of waves in a granular medium is their rare stability. Once arisen, this solitary wave can rise and fall, maintaining its identity indefinitely long — as long as the experiment lasts.

![](/images/tzo/201212_bc42osc.jpg "Oscillation phases of oscillon")

Another equally important feature of oscillons is the specificity of their interaction, explicitly referring to the long-standing Bjerknes’ theory of pulsations. Being in the same phase of oscillation, oscillons repel each other, and being in opposite phases, they attract each other.

![](/images/tzo/201212_bc42osclls.jpg)

Putting the facts slightly differently, the new discovery has revealed remarkable possibilities. By combining oscillons with Bjerknes’ theory, a clear and comprehensible explanation emerges — not only for well-known phenomena (which are explained in textbooks rather clumsily), but also for the still-mysterious secrets of electricity and magnetism.

Like a beautiful and natural resolution of the mystery of the exact equality of charges in such different by their properties electron and proton. Or the mystery of the total correspondence of the number of electrons to the number of protons in the universe. [i13]

Mysteries of this kind would be solved easily and simply if it could be shown that the proton and electron are in fact opposite oscillation phases of the same oscillon. But the big problem with this approach is that the phases of an oscillon in a granular liquid look much the same — as hills and valleys on the surface.

Whereas the proton is almost two thousand times larger than the electron. Moreover, all scientific observations show that electrons and protons retain their identity, not transforming into one another.

To overcome this problem, it is time to recall the quantum effect of Zitterbewegung or "trembling motion" — as the zigzag oscillations of particles are otherwise called. And to compare this picture with another phenomenon known as "symmetry breaking," which lies at the foundation of modern quantum field theory.

<center>(22)</center>

Relying on Dirac's relativistic equation, it can be stated that both the electron and proton, being in their Zitterbewegung, are constantly making jumps of the type up-down. And these directions "up" and "down" are for each particle their own, arbitrarily set by the orientation of their spin axis. But this consideration is valid only in the 3-dimensional space we observe.

In the fourth dimension — time — our entire world, as is well known, constantly shifts in only one direction: from past to future. In other words, considering the projection of the spin of massive particles on the time axis, one can say that in the 4th dimension, they all experience jumps in the same direction.

In mathematical terminology, a situation when all orientation directions of elements were previously equal — or symmetric — and then became consistently oriented in one direction, is called "symmetry breaking."

In classical physics, a very fitting example of this phenomenon is provided by the phenomenon of antiferromagnetism. Like other substances with magnetic properties, antiferromagnets consist of molecules with a dipole moment that behave like tiny magnets. At high temperatures, all these little magnets are oriented randomly within the substance, meaning that every direction is equally probable, and the entire system as a whole is symmetrical.

![](/images/tzo/201212_bc42antiferromagnet.jpg)

When the system's temperature drops, at a certain point, spontaneous alignment of the magnets along a single axis occurs. Symmetry of directions in the system turns out to be broken. Moreover, in antiferromagnetic substances, each magnet, during spontaneous ordering, aligns antiparallel to its neighbors. In other words, their common direction's axis is one, but the poles of neighboring molecules are pointed in opposite directions.

Juxtaposing this picture of spontaneous symmetry breaking with the phenomenon of oscillons and the "trembling" of massive particles along the time axis, there is little left to do. To assume that the particles' zigzag jumps occur not in the same world, but from one membrane-space to another. Then the solution appears almost self-evident. The proton is the broad base of the oscillon on one membrane, and the electron is the almost pointlike peak of the same oscillon on another membrane.

Formulating more precisely, it would be more accurate to speak of the electron not as a "hilltop" but as the lower point of a conical "pit" of the oscillon. Because in conditions of a double membrane, constantly in a state of vibrations, phases of the oscillon like "hill" turn out to be less stable and perform the role of anti-particles. That is, they disappear as a result of annihilation. Such a pair of membranes vibrating in antiphase is commonly named in modern physics as a "brane-antibrane" system.

![](/images/tzo/201212_bc42twobr.png)

Thus, on a pair of membranes, only the stable version of oscillons remains — in the form of a conical "pit" (the proton) and its "bottom" in the form of a point-like microvortex (the electron), synchronously jumping from one surface to the other — along the time axis [i16]

Accordingly, as a result of this process — spontaneous symmetry breaking — the overall picture of the world turned out bifurcated into two identical halves. Particles of these halves constantly interchange places, and the inhabitants of the world-membranes do not even suspect the existence of their inseparable counterpart.

Completing the initial description of this model, it remains to remind of the extraordinary enthusiasm experienced by Wolfgang Pauli when he made his "discovery of **division and reduction of symmetry**." Historians of science don’t have any documents explaining the essence of this inspiring discovery. However, now there is an opportunity to show that things remarkably resonant with Pauli's description have been rediscovered in modern physics, and the conclusions that follow from this also appear extremely inspiring.

<center>([Read more](/tbc/43/))</center>

### Inside links

[i13] Forgotten Secrets, [https://kniganews.org/map/e/01-00/hex40/](https://kniganews.org/map/e/01-00/hex40/)

[i14] Water Attractions, [https://kniganews.org/map/e/01-00/hex44/](https://kniganews.org/map/e/01-00/hex44/)

[i15] Family Business, [https://kniganews.org/map/e/01-00/hex45/](https://kniganews.org/map/e/01-00/hex45/)

[i16] Maxwell's Principle of Relativity, [https://kniganews.org/map/e/01-01/hex5d/](https://kniganews.org/map/e/01-01/hex5d/)

[i17] Dancing on Sand, [https://kniganews.org/map/e/01-00/hex43/](https://kniganews.org/map/e/01-00/hex43/)

[i18] Brazilian Nut and Gravity, [https://kniganews.org/map/e/01-00/hex4b/](https://kniganews.org/map/e/01-00/hex4b/)

[i19] Odyssey of the Vortex Sponge, [https://kniganews.org/map/e/01-01/hex51/](https://kniganews.org/map/e/01-01/hex51/)

### Outside links

[o19] Roger Penrose, "*The Road to Reality. A Complete Guide to the Laws of the Universe*", J.Cape (2004)
